Parameters----------Returns-------success : bool True if completely successful, false if notmessages : list of str List of human-readable error messagesdata : Intacct Vendor Information
Parameters----------Returns-------success : bool True if completely successful, false if notmessages : list of str List of human-readable error messagesdata : list of xml dicts to post to intacct
get_unexported_claim_transactions_xml › Request Body
Parameters----------Returns-------success : bool True if completely successful, false if notmessages : list of str List of human-readable error messagesdata : list of xmls to post to intacct
get_unexported_return_premiums_xml › Request Body
get_unexported_return_premiums_xml › Responses
200
success
boolean
message
string[]
data
object
post_claim_transactions
POST
/api/v2/intacct/post_claim_transactions
Post claim transactions to Intacct.
Code
Parameters----------payload : dict Dict containing of returnPremiumIds. Posts transactions to intacctReturns-------success : bool True if completely successful, false if notmessages : list of str List of human-readable error messagesdata : Dict containing ids successfully posted to Intacct
post_claim_transactions › Request Body
payload
object
post_claim_transactions › Responses
200
success
boolean
message
string[]
data
object
post_return_premiums
POST
/api/v2/intacct/post_return_premiums
Post return premiums to Intacct.
Code
Parameters----------payload : dict Dict of action(canceled or exported) and list of returnPremiumIds. Posts transactions to intacct and passes successful returnPremiumIds to policies.views.clearReturnPremiums to mark as exportedReturns-------success : bool True if completely successful, false if notmessages : list of str List of human-readable error messagesdata : dict of transactions with their success status